package com.easefun.polyvsdk.download;

import com.easefun.polyvsdk.PolyvDownloadProgressListener;
import com.easefun.polyvsdk.download.listener.IPolyvDownloaderBeforeStartListener;
import com.easefun.polyvsdk.download.listener.sdk.IPolyvDownloaderSDKBeforeStartListener;
import com.easefun.polyvsdk.download.listener.sdk.IPolyvDownloaderSDKEndListener;
import com.easefun.polyvsdk.download.listener.IPolyvDownloaderProgressListener;
import com.easefun.polyvsdk.download.listener.sdk.IPolyvDownloaderSDKStopListener;
import com.easefun.polyvsdk.download.listener.IPolyvDownloaderSpeedListener;
import com.easefun.polyvsdk.download.listener.sdk.IPolyvDownloaderSDKStartListener;
import com.easefun.polyvsdk.download.listener.IPolyvDownloaderStartListener;
import com.easefun.polyvsdk.download.listener.IPolyvDownloaderStopListener;

/**
 * 监听事件设置接口
 * @author Lion 2017-5-9
 */
public interface IPolyvDownloaderListenerEvent {
    /**
     * 设置下载回调监听
     * @param l 监听回调
     * @see #setPolyvDownloadProressListener(IPolyvDownloaderProgressListener)
     */
    @Deprecated
    void setPolyvDownloadProressListener(PolyvDownloadProgressListener l);

    /**
     * 设置下载回调监听
     * @param l 监听回调
     */
    void setPolyvDownloadProressListener(IPolyvDownloaderProgressListener l);

    /**
     * 设置下载速度回调监听
     * @param l 监听回调
     */
    void setPolyvDownloadSpeedListener(IPolyvDownloaderSpeedListener l);

    /**
     * 设置下载开始之前监听回调
     * @param l 监听回调
     */
    void setPolyvDownloadBeforeStartListener(IPolyvDownloaderBeforeStartListener l);

    /**
     * 设置下载开始监听回调
     * @param l 监听回调
     */
    void setPolyvDownloadStartListener(IPolyvDownloaderStartListener l);

    /**
     * 设置下载停止监听回调
     * @param l 监听回调
     */
    void setPolyvDownloadStopListener(IPolyvDownloaderStopListener l);

    /**
     * 设置下载开始
     * @param l
     */
    void setPolyvDownloadSDKBeforeStartListener(IPolyvDownloaderSDKBeforeStartListener l);

    /**
     * 设置下载开始监听回调
     * @param l 监听回调
     * @see #setPolyvDownloadStartListener(IPolyvDownloaderStartListener)
     */
    @Deprecated
    void setPolyvDownloadSDKStartListener(IPolyvDownloaderSDKStartListener l);

    /**
     * 设置下载停止监听回调
     * @param l 监听回调
     * @see #setPolyvDownloadStopListener(IPolyvDownloaderStopListener)
     */
    @Deprecated
    void setPolyvDownloadSDKStopListener(IPolyvDownloaderSDKStopListener l);

    /**
     * 设置下载结束监听回调
     * @param l 监听回调
     * @see #setPolyvDownloadProressListener(IPolyvDownloaderProgressListener)
     */
    @Deprecated
    void setPolyvDownloadSDKEndListener(IPolyvDownloaderSDKEndListener l);
}
