package com.easefun.polyvsdk.download.constant;

import android.support.annotation.IntDef;

import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;

/**
 * 删除视频结果类型
 * @author Lion 2017-8-4
 */
public class PolyvDeleteVideoResult {
    /** 删除视频成功 */
    public static final int DELETE_VIDEO_SUCCESS = 1;
    /** 视频id错误 */
    public static final int VIDEO_ID_ERROR = 2;
    /** 码率（清晰度）错误 */
    public static final int BITRATE_ERROR = 3;
    /** 下载文件夹为null（未设置） */
    public static final int DOWNLOADER_DIR_NULL = 4;
    /** 删除文件失败 */
    public static final int DELETE_VIDEO_FILE_FAIL = 5;

    /** @hide */
    @IntDef({
            DELETE_VIDEO_SUCCESS,
            VIDEO_ID_ERROR,
            BITRATE_ERROR,
            DOWNLOADER_DIR_NULL,
            DELETE_VIDEO_FILE_FAIL
    })
    @Retention(RetentionPolicy.SOURCE)
    public @interface DeleteVideoResult {}
}
