package com.easefun.polyvsdk.download.listener;

import android.content.Context;

import com.easefun.polyvsdk.PolyvDownloader;

/**
 * 下载开始之前监听回调。
 * @author Lion 2017-8-1
 */
public interface IPolyvDownloaderBeforeStartListener {
    /**
     * 开始之前回调，{@link PolyvDownloader#start()}或者{@link PolyvDownloader#start(Context)}中判断是否可以开始。<br/>
     * 从主线程中调用{@link PolyvDownloader#start()}或者{@link PolyvDownloader#start(Context)}，就会从主线程中回调。<br/>
     * 从工作线程中调用{@link PolyvDownloader#start()}或者{@link PolyvDownloader#start(Context)}，就会从工作线程中回调。
     * @return {@code true}:继续执行<br/>{@code false}:终止执行
     */
    boolean onBeforeStart();
}
