package com.easefun.polyvsdk.download.listener;

import android.support.annotation.MainThread;
import android.support.annotation.NonNull;

import com.easefun.polyvsdk.PolyvDownloaderErrorReason;

/**
 * 下载监听回调，主线程中回调
 * @version 2.0
 * @author TanQu 2017-5-8
 */
public interface IPolyvDownloaderProgressListener {
    /**
     * 下载进度
     * @param current - ts文件下载完成数/mp4文件下载完成长度
     * @param total - ts文件总数/mp4文件总长度
     */
    @MainThread
    void onDownload(long current ,long total);

    /**
     * 下载完成成功
     */
    @MainThread
    void onDownloadSuccess();

    /**
     * 下载失败
     * @param errorReason 失败原因
     */
    @MainThread
    void onDownloadFail(@NonNull PolyvDownloaderErrorReason errorReason);
}
