package com.easefun.polyvsdk.download.vo;

import com.easefun.polyvsdk.download.constant.PolyvDownloaderVideoStatus;

/**
 * 下载视频VO
 * @author Lion 2017-8-9
 */
public class PolyvDownloaderVideoVO {
    /** 视频id */
    private final String videoId;
    /** 码率（清晰度） */
    private final int bitrate;
    /** 视频状态 */
    @PolyvDownloaderVideoStatus.DownloaderVideoStatus
    private final int downloaderVideoStatus;

    public PolyvDownloaderVideoVO(String videoId, int bitrate, @PolyvDownloaderVideoStatus.DownloaderVideoStatus int downloaderVideoStatus) {
        this.videoId = videoId;
        this.bitrate = bitrate;
        this.downloaderVideoStatus = downloaderVideoStatus;
    }

    public String getVideoId() {
        return videoId;
    }

    public int getBitrate() {
        return bitrate;
    }

    @PolyvDownloaderVideoStatus.DownloaderVideoStatus
    public int getDownloaderVideoStatus() {
        return downloaderVideoStatus;
    }

    @Override
    public String toString() {
        return "videoId:" + getVideoId() + ",bitrate:" + getBitrate() + ",status:" + getDownloaderVideoStatus();
    }
}
